brooklyn-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject [1/2] brooklyn-server git commit: winrm4j: exclude slf4j transitive dependency
Date Sat, 20 Feb 2016 12:47:37 GMT
Repository: brooklyn-server
Updated Branches:
  refs/heads/master 8da814a9f -> e0818af97


winrm4j: exclude slf4j transitive dependency

Depends on org.slf4j 1.7.12 (via org.apache.cxf), whereas Brooklyn
depends on 1.6.6


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-server/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-server/commit/f9eab747
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-server/tree/f9eab747
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-server/diff/f9eab747

Branch: refs/heads/master
Commit: f9eab7477ea00fc7b17fcbf1dc577e8cd7b8743a
Parents: 495b1d3
Author: Aled Sage <aled.sage@gmail.com>
Authored: Mon Feb 15 15:57:28 2016 +0000
Committer: Aled Sage <aled.sage@gmail.com>
Committed: Thu Feb 18 00:22:16 2016 +0000

----------------------------------------------------------------------
 parent/pom.xml         |  2 +-
 software/base/pom.xml  |  5 -----
 software/winrm/pom.xml | 21 ++++++++++++++++++++-
 3 files changed, 21 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-server/blob/f9eab747/parent/pom.xml
----------------------------------------------------------------------
diff --git a/parent/pom.xml b/parent/pom.xml
index 2b1f4a5..5cbf546 100644
--- a/parent/pom.xml
+++ b/parent/pom.xml
@@ -565,7 +565,7 @@
                 </plugin>
                 <plugin>
                     <artifactId>maven-enforcer-plugin</artifactId>
-                    <version>1.4</version>
+                    <version>1.4.1</version>
                 </plugin>
                 <plugin>
                     <artifactId>maven-failsafe-plugin</artifactId>

http://git-wip-us.apache.org/repos/asf/brooklyn-server/blob/f9eab747/software/base/pom.xml
----------------------------------------------------------------------
diff --git a/software/base/pom.xml b/software/base/pom.xml
index 51ae966..b9c72ee 100644
--- a/software/base/pom.xml
+++ b/software/base/pom.xml
@@ -46,11 +46,6 @@
             <version>${project.version}</version>
         </dependency>
         <dependency>
-            <groupId>io.cloudsoft.windows</groupId>
-            <artifactId>winrm4j</artifactId>
-            <version>${winrm4j.version}</version>
-        </dependency>
-        <dependency>
             <groupId>org.apache.brooklyn</groupId>
             <artifactId>brooklyn-jmxmp-agent</artifactId>
             <version>${project.version}</version>

http://git-wip-us.apache.org/repos/asf/brooklyn-server/blob/f9eab747/software/winrm/pom.xml
----------------------------------------------------------------------
diff --git a/software/winrm/pom.xml b/software/winrm/pom.xml
index 5bde35e..b94e94d 100644
--- a/software/winrm/pom.xml
+++ b/software/winrm/pom.xml
@@ -29,7 +29,6 @@
         <relativePath>../../parent/pom.xml</relativePath>
     </parent>
 
-    <groupId>org.apache.brooklyn</groupId>
     <artifactId>brooklyn-software-winrm</artifactId>
 
     <name>Brooklyn WinRM Software Entities</name>
@@ -44,6 +43,26 @@
             <groupId>io.cloudsoft.windows</groupId>
             <artifactId>winrm4j</artifactId>
             <version>${winrm4j.version}</version>
+            <exclusions>
+                 <exclusion>
+                    <groupId>org.slf4j</groupId>
+                    <artifactId>jcl-over-slf4j</artifactId>
+                </exclusion>
+                 <exclusion>
+                    <groupId>org.slf4j</groupId>
+                    <artifactId>slf4j-api</artifactId>
+                </exclusion>
+            </exclusions>
+        </dependency>
+        <!--
+            Excluded from winrm4j the wrong jcl-over-slf4j version; include the right one
below.
+            Note use of explicit exclude, rather than wildcard, because maven-enforcer-plugin
1.4.1
+            does not support wildcards: https://issues.apache.org/jira/browse/MENFORCER-195
+         -->
+        <dependency>
+            <groupId>org.slf4j</groupId>
+            <artifactId>jcl-over-slf4j</artifactId>
+            <version>${slf4j.version}</version>
         </dependency>
 
         <!-- test -->


Mime
View raw message